
#property indicator_separate_window
#property  indicator_buffers 3
#property  indicator_color1  LimeGreen
#property  indicator_color2  Red
#property  indicator_color3  Blue
#property indicator_width1 2
#property indicator_width2 2
#property indicator_width3 2


double  CCIBuffer[];
double  UpperBand[];
double  DnBand [];

extern int CCIPeriod = 14;
extern int Periodenv =10;
extern double Deviation = 25;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  
  SetIndexBuffer (0,CCIBuffer); 
   SetIndexBuffer (1,UpperBand);
   SetIndexBuffer (2,DnBand);
   
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
  


  int i;
   int limit;
   int counted_bars=IndicatorCounted();
   
   //---- check for possible errors
   if(counted_bars<0) return(-1);
   
   //---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
 
   //--- main loops 1 and 2
   for(i=0; i < limit; i++)      CCIBuffer[i]=iCCI(NULL,0,CCIPeriod,PRICE_TYPICAL,i);
   for(i=0; i < limit; i++)
      {
        DnBand[i]   = iEnvelopesOnArray(CCIBuffer,0,Periodenv,MODE_SMA,0,Deviation,2,i);
        UpperBand[i]= iEnvelopesOnArray(CCIBuffer,0,Periodenv,MODE_SMA,0,Deviation,1,i);
      }

  
  
  
  
   return(0);
  }
//+------------------------------------------------------------------+